>From a060745745d82dc9531ed456428420f26ad2833b Mon Sep 17 00:00:00 2001
From: David Bremner <bremner@unb.ca>
Date: Mon, 13 Dec 2010 22:00:47 -0400
Subject: [PATCH] tests: Add optional use of timeout utility, if present. Add to emacs tests.

The goal here is to treat a hung test as a failure. The emacs test for
sending mail is known to be problematic on the debian
autobuilders. This is both a bandaid fix for that, and a sensible long
term feature.

Currently a fixed timeout of 5 minutes is used.
---
 test/test-lib.sh |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/test/test-lib.sh b/test/test-lib.sh
index 418eaa7..639e6ae 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -793,7 +793,7 @@ emacs \$BATCH --no-init-file --no-site-file \
 	--eval "(progn (set-frame-width (window-frame (get-buffer-window)) 80) \$@)"
 EOF
 	chmod a+x ./run_emacs
-	./run_emacs "$@"
+	$TEST_TIMEOUT_CMD ./run_emacs "$@"
 }
 
 
@@ -986,3 +986,11 @@ test -z "$NO_PYTHON" && test_set_prereq PYTHON
 # test whether the filesystem supports symbolic links
 ln -s x y 2>/dev/null && test -h y 2>/dev/null && test_set_prereq SYMLINKS
 rm -f y
+
+# test for timeout utility
+if command -v timeout >/dev/null; then
+    TEST_TIMEOUT_CMD="timeout 5m " 
+else
+    TEST_TIMEOUT_CMD=""
+fi
+echo $TEST_TIMEOUT_CMD
\ No newline at end of file
-- 
1.7.2.3

